package mhp.oee.po.gen;

import java.util.Date;

public class ResourcePO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.RESRCE
     *
     * @mbggenerated
     */
    private String resrce;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.ASSET
     *
     * @mbggenerated
     */
    private String asset;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.SUB_ASSET
     *
     * @mbggenerated
     */
    private String subAsset;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.LINE_AREA
     *
     * @mbggenerated
     */
    private String lineArea;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.WORK_AREA
     *
     * @mbggenerated
     */
    private String workArea;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.WORKSHOP
     *
     * @mbggenerated
     */
    private String workshop;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.EQP_USER_ID
     *
     * @mbggenerated
     */
    private String eqpUserId;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.CONFIGURED_PLC_INFO
     *
     * @mbggenerated
     */
    private String configuredPlcInfo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column resrce.FIELD
     *
     * @mbggenerated
     */
    private String field;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.HANDLE
     *
     * @return the value of resrce.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.HANDLE
     *
     * @param handle the value for resrce.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.SITE
     *
     * @return the value of resrce.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.SITE
     *
     * @param site the value for resrce.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.RESRCE
     *
     * @return the value of resrce.RESRCE
     *
     * @mbggenerated
     */
    public String getResrce() {
        return resrce;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.RESRCE
     *
     * @param resrce the value for resrce.RESRCE
     *
     * @mbggenerated
     */
    public void setResrce(String resrce) {
        this.resrce = resrce == null ? null : resrce.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.DESCRIPTION
     *
     * @return the value of resrce.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.DESCRIPTION
     *
     * @param description the value for resrce.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.ASSET
     *
     * @return the value of resrce.ASSET
     *
     * @mbggenerated
     */
    public String getAsset() {
        return asset;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.ASSET
     *
     * @param asset the value for resrce.ASSET
     *
     * @mbggenerated
     */
    public void setAsset(String asset) {
        this.asset = asset == null ? null : asset.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.SUB_ASSET
     *
     * @return the value of resrce.SUB_ASSET
     *
     * @mbggenerated
     */
    public String getSubAsset() {
        return subAsset;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.SUB_ASSET
     *
     * @param subAsset the value for resrce.SUB_ASSET
     *
     * @mbggenerated
     */
    public void setSubAsset(String subAsset) {
        this.subAsset = subAsset == null ? null : subAsset.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.LINE_AREA
     *
     * @return the value of resrce.LINE_AREA
     *
     * @mbggenerated
     */
    public String getLineArea() {
        return lineArea;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.LINE_AREA
     *
     * @param lineArea the value for resrce.LINE_AREA
     *
     * @mbggenerated
     */
    public void setLineArea(String lineArea) {
        this.lineArea = lineArea == null ? null : lineArea.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.WORK_AREA
     *
     * @return the value of resrce.WORK_AREA
     *
     * @mbggenerated
     */
    public String getWorkArea() {
        return workArea;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.WORK_AREA
     *
     * @param workArea the value for resrce.WORK_AREA
     *
     * @mbggenerated
     */
    public void setWorkArea(String workArea) {
        this.workArea = workArea == null ? null : workArea.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.WORKSHOP
     *
     * @return the value of resrce.WORKSHOP
     *
     * @mbggenerated
     */
    public String getWorkshop() {
        return workshop;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.WORKSHOP
     *
     * @param workshop the value for resrce.WORKSHOP
     *
     * @mbggenerated
     */
    public void setWorkshop(String workshop) {
        this.workshop = workshop == null ? null : workshop.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.ENABLED
     *
     * @return the value of resrce.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.ENABLED
     *
     * @param enabled the value for resrce.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.EQP_USER_ID
     *
     * @return the value of resrce.EQP_USER_ID
     *
     * @mbggenerated
     */
    public String getEqpUserId() {
        return eqpUserId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.EQP_USER_ID
     *
     * @param eqpUserId the value for resrce.EQP_USER_ID
     *
     * @mbggenerated
     */
    public void setEqpUserId(String eqpUserId) {
        this.eqpUserId = eqpUserId == null ? null : eqpUserId.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.CONFIGURED_PLC_INFO
     *
     * @return the value of resrce.CONFIGURED_PLC_INFO
     *
     * @mbggenerated
     */
    public String getConfiguredPlcInfo() {
        return configuredPlcInfo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.CONFIGURED_PLC_INFO
     *
     * @param configuredPlcInfo the value for resrce.CONFIGURED_PLC_INFO
     *
     * @mbggenerated
     */
    public void setConfiguredPlcInfo(String configuredPlcInfo) {
        this.configuredPlcInfo = configuredPlcInfo == null ? null : configuredPlcInfo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.CREATED_DATE_TIME
     *
     * @return the value of resrce.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for resrce.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.MODIFIED_DATE_TIME
     *
     * @return the value of resrce.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for resrce.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.MODIFIED_USER
     *
     * @return the value of resrce.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.MODIFIED_USER
     *
     * @param modifiedUser the value for resrce.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column resrce.FIELD
     *
     * @return the value of resrce.FIELD
     *
     * @mbggenerated
     */
    public String getField() {
        return field;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column resrce.FIELD
     *
     * @param field the value for resrce.FIELD
     *
     * @mbggenerated
     */
    public void setField(String field) {
        this.field = field == null ? null : field.trim();
    }
}